DEVM_SND_SOC_REGISTE(9)

NAME
devm_snd_soc_register_component - resource managed component registration

SYNOPSIS

int devm_snd_soc_register_component(struct device * dev, const struct snd_soc_component_driver * cmpnt_drv, struct snd_soc_dai_driver * dai_drv, int num_dai);

ARGUMENTS

dev
    Device used to manage component

cmpnt_drv
    Component driver

dai_drv
    DAI driver

num_dai
    Number of DAIs to register

DESCRIPTION

Register a component with automatic unregistration when the device is unregistered.

COPYRIGHT